.pop-up {
  width: 100vw;
  height: 100vh;
  position: fixed;
  left: 0;
  top: 0;
  z-index: 1050;
  display: flex;
  align-items: center;
  justify-content: flex-end;

  .pop-up-cover {
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.1);
    position: fixed;

  }

  .pop-up-content {
    position: relative;
    width: 0;
    height: 100%;
    background: #FFFFFF;
    box-shadow: 0px 0px 1px rgba(0, 0, 0, 0.04),
    0px 2px 6px rgba(0, 0, 0, 0.04),
    0px 16px 24px rgba(0, 0, 0, 0.06);
    padding: 0;
    transition: right 0.5s;
    transition-timing-function: ease;

    width: 500px;
    right: -500px;

    &.display {
      right: 0;
    }

    .popup-head {
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding: 24px;
      border-bottom: 1px solid #DAECF6;

      .h4 {
        padding-bottom: 0;
      }

      .pop-up-close {
        cursor: pointer;
        font-size: 17px;
        color: #697785;
        transform-origin: center;
        transform: rotate(45deg);
        backface-visibility: hidden;
      }
    }

    .popup-body {
      height: calc(100% - 68px - 74px);

      .popup-body-scroll {
        height: 100%;
        overflow-x: hidden;
        overflow-y: auto;
        -webkit-overflow-scrolling: touch;

        .popup-body-scroll-inner {
          padding: 24px 24px 70px;
         position: relative;

          p {
            padding-bottom: 20px;
          }

          &::-webkit-scrollbar {
            width: 0;
            background: transparent;
          }

          &::-webkit-scrollbar-thumb {
            width: 0;
            background: transparent;
          }
        }
      }
    }
  }
}

